Lucene50CompressingTermVectorsReader (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene50.compressing, class: Lucene50CompressingTermVectorsReader

Package org.apache.lucene.backward_codecs.lucene50.compressing

# Class Lucene50CompressingTermVectorsReader

java.lang.Object
org.apache.lucene.index.TermVectors
org.apache.lucene.codecs.TermVectorsReader
org.apache.lucene.backward_codecs.lucene50.compressing.Lucene50CompressingTermVectorsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Cloneable`

public final class Lucene50CompressingTermVectorsReader extends TermVectorsReader
`TermVectorsReader` for `Lucene50CompressingTermVectorsFormat`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.TermVectors

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lucene50CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  `TermVectorsReader`
  `clone()`
  `void`
  `close()`
  `Fields`
  `get(int doc)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.codecs.TermVectorsReader

  `getMergeInstance`

  ### Methods inherited from class org.apache.lucene.index.TermVectors

  `get, prefetch`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Lucene50CompressingTermVectorsReader

    public Lucene50CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode) throws IOException
    Sole constructor.
    Throws:
      `IOException`

- ## Method Details

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`

  - ### clone

    public TermVectorsReader clone()
    Specified by:
      `clone` in class `TermVectorsReader`

  - ### get

    public Fields get(int doc) throws IOException
    Specified by:
      `get` in class `TermVectors`
    Throws:
      `IOException`

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Specified by:
      `checkIntegrity` in class `TermVectorsReader`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`